[arch-commits] Commit in scrot/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 22:01:14 EDT 2009


    Date: Friday, April 17, 2009 @ 22:01:14
  Author: eric
Revision: 35884

upgpkg: scrot 0.8-3
    Added license, FHS man pages and docs, Added arch array

Modified:
  scrot/trunk/PKGBUILD

----------+
 PKGBUILD |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-18 01:59:42 UTC (rev 35883)
+++ PKGBUILD	2009-04-18 02:01:14 UTC (rev 35884)
@@ -2,16 +2,19 @@
 # Maintainer: Mark Rosenstand <mark at archlinux.org>
 pkgname=scrot
 pkgver=0.8
-pkgrel=2
+pkgrel=3
 pkgdesc="A simple command-line screenshot utility for X"
+arch=('i686' 'x86_64')
 url="http://linuxbrit.co.uk/scrot/"
+license=('MIT')
 depends=('giblib')
 source=(http://linuxbrit.co.uk/downloads/$pkgname-$pkgver.tar.gz)
 md5sums=('ccae904d225609571bdd3b03445c1e88')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make DESTDIR=$pkgdir docsdir=/usr/share/doc/scrot install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list